package com.gct.aoid.feignclient;

import feign.Param;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * class name: DiagnoseClient
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/29 下午9:43
 */
@FeignClient(value = "dgns-diagnose")
public interface DiagnoseClient {

    @GetMapping(path = "/dgnsGtbaseparam/getBaseparamById/{id}")
    String getDiagramCardBaseParamByID(@PathVariable("id") String id);


    @GetMapping(path = "/dgnsGtcvrresult/getCvrresultById/{id}")
    String getSingleDiagramDiagnoseResultByID(@PathVariable("id") String id);

    @GetMapping(path = "/dgnsGtcvrresult/getAllResult")
    String getAllResult();
}
